Applications
Request a pre-signed upload URL for a document
POST
/
v2
/
applications
/
{applicationId}
/
documents
/
upload-url
Request a pre-signed upload URL for a document
curl --request POST \
--url https://api.example.com/v2/applications/{applicationId}/documents/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "<string>",
"fileSize": 123,
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v2/applications/{applicationId}/documents/upload-url"
payload = {
"fileName": "<string>",
"fileSize": 123,
"personId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileName: '<string>',
fileSize: 123,
personId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/v2/applications/{applicationId}/documents/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentKey": "<string>",
"uploadUrl": "<string>"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}Authorizations
Enter Auth0 JWT token
Path Parameters
Body
application/json
Available options:
certificate_of_incorporation, memorandum_articles, proof_of_address_company, tin_certificate, org_chart, aml_ctf_policy, photo_id, photo_id_back, proof_of_address_personal, bank_statement Required range:
x <= 10485760Available options:
application/pdf, image/jpeg, image/png Attach the document to a specific person (per-UBO documents).
⌘I
Request a pre-signed upload URL for a document
